DOM::HTMLUListElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLUListElement Class Reference

Unordered list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLUListElement:

[legend]
Collaboration diagram for DOM::HTMLUListElement:

[legend]
List of all members.

## Public Member Functions
| HTMLUListElement (const HTMLUListElement &other)
| HTMLUListElement (const Node &other)
HTMLUListElement & | operator= (const HTMLUListElement &other)
HTMLUListElement & | operator= (const Node &other)
bool | compact () const
| Reduce spacing between list items.
void | setCompact (bool)
| see compact
DOMString | type () const
| Bullet style.
void | setType (const DOMString &)
| see type
## Protected Member Functions
| HTMLUListElement (HTMLUListElementImpl *impl)

## Detailed Description

Unordered list.

See the UL element definition in HTML 4.0.

Definition at line 294 of file html_list.h.

## Member Function Documentation

bool HTMLUListElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 328 of file html_list.cpp.

void HTMLUListElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 334 of file html_list.cpp.

DOMString HTMLUListElement::type | ( |  | ) | const

| Bullet style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 345 of file html_list.cpp.

void HTMLUListElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 351 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001